[arch-commits] Commit in network-manager-applet/repos (3 files)

Jan de Groot jgc at archlinux.org
Sat Nov 14 18:28:37 EST 2009


    Date: Saturday, November 14, 2009 @ 18:28:37
  Author: jgc
Revision: 58769

Merged revisions 58582 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/network-manager-applet/trunk

........
  r58582 | jgc | 2009-11-09 15:16:57 +0100 (Mon, 09 Nov 2009) | 1 line
  
  Manage gconf schemas (FS#17074)
........

Modified:
  network-manager-applet/repos/extra-i686/	(properties)
  network-manager-applet/repos/extra-i686/PKGBUILD
  network-manager-applet/repos/extra-i686/network-manager-applet.install

--------------------------------+
 PKGBUILD                       |    9 +++++++--
 network-manager-applet.install |    7 +++++++
 2 files changed, 14 insertions(+), 2 deletions(-)


Property changes on: network-manager-applet/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /network-manager-applet/trunk:1-58542
   + /network-manager-applet/trunk:1-58768

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-14 21:23:09 UTC (rev 58768)
+++ extra-i686/PKGBUILD	2009-11-14 23:28:37 UTC (rev 58769)
@@ -7,7 +7,7 @@
 
 pkgname=network-manager-applet
 pkgver=0.7.1.998
-pkgrel=1
+pkgrel=2
 pkgdesc="GNOME frontends to NetWorkmanager"
 arch=(i686 x86_64)
 license=('GPL')
@@ -26,5 +26,10 @@
   ./configure --prefix=/usr --sysconfdir=/etc \
       --localstatedir=/var || return 1
   make || return 1
-  make DESTDIR="${pkgdir}" install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain nm-applet ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+
 }

Modified: extra-i686/network-manager-applet.install
===================================================================
--- extra-i686/network-manager-applet.install	2009-11-14 21:23:09 UTC (rev 58768)
+++ extra-i686/network-manager-applet.install	2009-11-14 23:28:37 UTC (rev 58769)
@@ -1,4 +1,7 @@
+pkgname=network-manager-applet
+
 post_install() {
+  usr/sbin/gconfpkg --install ${pkgname}
   gtk-update-icon-cache -f -q -t /usr/share/icons/hicolor
 }
 
@@ -6,6 +9,10 @@
   post_install $1
 }
 
+pre_remove() {
+  usr/sbin/gconfpkg --uninstall ${pkgname}
+}
+
 post_remove() {
   post_install $1
 }



More information about the arch-commits mailing list